<i18n>
{
  "fr": {
    "title": "Simulateur de vos déplacements professionnels",
    "info": "Veuillez saisir la ville de départ, de destination ainsi que le mode de déplacement pour chaque étape de votre voyage, l'une après l'autre. Les calculs réalisés sont effectués avec la même méthode et les mêmes facteurs d'émission que dans "
  },
  "en": {
    "title": "Simulator of your professional travels",
    "info": "Please enter the city of departure, destination and mode of travel for each section of your travel, one at a time. The calculations performed and the emission factors used are the same as in "
  }
}
</i18n>

<template>
  <section class="hero is-default is-bold">
    <div class="hero-body">
      <div class="container">
        <div class="columns">
          <div
            class="column is-8 is-offset-2"
          >
            <su-service
              :icon="'info'"
            >
              <template #title>
                {{ $t('title') }}
              </template>
              {{ $t('info') }}
              <router-link class="link" :to="{ name: 'ges-1point5' }"><em>GES 1point5</em></router-link>.
            </su-service>
            <br />
            <travel-form
              :travel="travel"
              :isSimulation="true"
              :modeCreation="false"
            />
            <br />
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import TravelSection from '@/models/carbon/TravelSection.js'
import Travel from '@/models/carbon/Travel.js'

export default {
  name: 'TravelsSimulator',
  components: {
    'su-service': () => import('@/components/SUService.vue'),
    'travel-form': () => import('@/components/carbon/forms/TravelForm.vue')
  },
  data () {
    return {
      travel: new Travel(
        [],
        null,
        [new TravelSection()],
        1
      )
    }
  }
}
</script>
